<?
	$filter = array('e.gender = ?' => 1);
	$count = 0;
	$escorts = Model_Escort_List::getFiltered($filter, 'newest', 1, 8, $count, 'new_list');
?>

<? if( count($escorts) ): ?>
	<?
	$model = new Model_EscortsV2();	
	foreach ( $escorts as $k => $escort ) {
		$cache_key = 'v2_' . $escort->showname . '_new_profile_' . Cubix_I18n::getLang() . '_page_' . $page_num . '_escort_id_' . $escort->id;
		$cache_key =  preg_replace('#[^a-zA-Z0-9_]#', '_', $cache_key);
		$escorts[$k]->profile = $model->get($escort->id, $cache_key);
	}
	?>
<div id="new_escorts">
	<div class="head"><p>New Entries</p></div>
	<div class="items">
		<? foreach( $escorts as $escort ): ?>
		<div class="wrp h">
			<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'new_list', 'escort_id' => $escort->id)) ?>" class="showname"><?= $escort->showname ?></a><br/>
			<div class="item">
				<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'new_list', 'escort_id' => $escort->id)) ?>"><img src="<?= $escort->profile->getMainPhoto()->getUrl('new-entries') ?>" height="110" width="110" alt="" title="" /></a>								
			</div>
			<span class="city"><?= $escort->city ?></span><br/>
			<span class="date"><?= date("d, M Y", $escort->date_activated) ?></span>
		</div>
		<? endforeach; ?>
		<div class="clear"></div>
	</div>

	<a href="<?= $this->getLink('escorts', array('new'), true) ?>" class="btn_all_new">Click here to see all new Entries</a>
	<div class="clear"></div>
</div>
<? endif; ?>